"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckMark = void 0;

var _preact = require("preact");

var _icon = require("./icon");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const CheckMark = ({
  className,
  name,
  label,
  isComplete,
  isAuto,
  onClick
}) => (0, _preact.h)("label", {
  htmlFor: name,
  className: (0, _classnames.default)('flex items-center mb2', className),
  "data-e2e": "checkMark"
}, (0, _preact.h)("input", {
  onClick: () => onClick(name),
  className: "checkbox o-0",
  id: name,
  checked: isComplete,
  type: "checkbox"
}), !isAuto && isComplete && (0, _preact.h)(_icon.Icon, {
  className: "light-blue",
  size: "40",
  icon: "check_box"
}), !isAuto && !isComplete && (0, _preact.h)(_icon.Icon, {
  size: "40",
  icon: "check_box_outline_blank"
}), isAuto && (0, _preact.h)("div", {
  className: "relative bg-light-blue br2",
  style: {
    margin: '5px',
    width: '30px',
    height: '30px'
  }
}, (0, _preact.h)(_icon.Icon, {
  size: "18",
  className: "absolute white",
  icon: "auto_awesome",
  style: {
    left: '6px',
    top: '2px'
  }
}), (0, _preact.h)("span", {
  className: "helvetica absolute tc bottom-0 smallcaps white ttu fw6",
  style: {
    fontSize: '8px',
    width: '30px'
  }
}, "auto")), (0, _preact.h)("span", {
  className: "ml2"
}, label || name));

exports.CheckMark = CheckMark;